php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #68112 I was build BLENC with VC++ 2008 and Window SDK 6.1. It has a lot bugs.
Submitted: 2014-09-28 18:54 UTC Modified: 2017-01-10 08:32 UTC
From: trantruongchinh at gmail dot com Assigned:
Status: Suspended Package: BLENC (PECL)
PHP Version: 5.4Git-2014-09-28 (snap) OS: win 7 64
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please — but make sure to vote on the bug!
Your email address:
MUST BE VALID
Solve the problem:
40 - 5 = ?
Subscribe to this entry?

 
 [2014-09-28 18:54 UTC] trantruongchinh at gmail dot com
Description:
------------
Apache Crash when i ran php non encrypt (https://bugs.php.net/bug.php?id=56966) since 2006-04-20 and won't fix.

BL_G(expire_date) is null. I was set #define BLENC_PROTECT_EXPIRE { '\x20', '\x16', '\x01', '\x01' }. This issue return bug "blenc_compile: Module php_blenc was expired. Please buy a new license key or disable the module."

Calculate md5 wrong. This issue return bug "blenc_compile: Validation of script '%s' failed. MD5_FILE: %s MD5_CALC: %s\n".


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2017-01-10 08:32 UTC] kalle@php.net
-Status: Open +Status: Suspended
 [2017-01-10 08:32 UTC] kalle@php.net
I'm suspending the reports for BLENC as it doesn't seem to have stalled (looking at both repositories I could find on git.php.net and github) and it does not seem compatible with any currently supported version of PHP either. Please unsuspend in case someone takes over this extension
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Thu Jan 27 18:03:33 2022 UTC